import React from 'react';
import {StyleSheet} from 'react-native';
import {Dimensions} from 'react-native';
import {ComponentStory, ComponentMeta} from '@storybook/react';
import Flex from '../Flex/Flex';
import StoriesComponent from './Badge';

const styles = StyleSheet.create({
  overAll: {
    height: Dimensions.get('screen').height * 0.4,
  },
});


export default {
  title: 'Components/Badge',
  component: StoriesComponent,
} as ComponentMeta<typeof StoriesComponent>;

const Template: ComponentStory<typeof StoriesComponent> = args => (
  <Flex center middle overrideStyle={styles.overAll}>
    <StoriesComponent {...args}>AB</StoriesComponent>
  </Flex>
);

export const Playground = Template.bind({});

Playground.args = {
  type: 'primary',
};

export const Basic = () => {
  return (
    <Flex center middle overrideStyle={styles.overAll}>
      <StoriesComponent>AB</StoriesComponent>
    </Flex>
  );
};
