import {StyleSheet} from 'react-native';
import {BORDER_COLOR, GRAY_70, WHITE} from '../UikitUtils/colors';

type ViewStyle = import('react-native').ViewStyle;

type Styles = {
  secondary: ViewStyle;
  common: ViewStyle;
  flat: ViewStyle;
  curved: ViewStyle;
  indicator: ViewStyle;
  indicatorDirection: ViewStyle;
  link: ViewStyle;
  contain: ViewStyle;
  white: ViewStyle;
  disabled: ViewStyle;
  secondaryDisabled: ViewStyle;
  tertiary: ViewStyle;
  tertiaryDisabled: ViewStyle;
};

export const BORDER_RADIUS = 6;

export const styles = StyleSheet.create<Styles>({
  secondary: {
    borderWidth: 1,
    paddingVertical: 15,
  },
  common: {
    alignItems: 'center',
    justifyContent: 'center',
    paddingVertical: 15,
    paddingHorizontal: 20,
  },
  curved: {
    borderRadius: BORDER_RADIUS,
  },
  flat: {
    borderRadius: 0,
  },
  indicator: {
    marginRight: 8,
  },
  indicatorDirection: {
    flexDirection: 'row',
  },
  link: {
    backgroundColor: 'transparent',
    paddingVertical: 0,
    paddingHorizontal: 0,
    alignItems: 'flex-start',
  },
  contain: {
    width: '100%',
    flex: 1,
  },
  white: {
    backgroundColor: WHITE,
  },
  disabled: {
    opacity: 0.5,
  },
  secondaryDisabled: {
    borderWidth: 1,
    borderColor: BORDER_COLOR,
    paddingVertical: 13,
  },
  tertiary: {
    backgroundColor: WHITE,
    borderColor: GRAY_70,
    borderWidth: 1,
    paddingVertical: 13,
  },
  tertiaryDisabled: {
    backgroundColor: GRAY_70,
  },
});
