import React from 'react';
import { View, StyleSheet, TouchableOpacity } from 'react-native';
import type { GestureResponderEvent } from 'react-native';
import Text from '../Text/Text';

type Props = {
  date: any;
  handleOpenMonth: (e: GestureResponderEvent) => void;
  handleOpenYear: (e: GestureResponderEvent) => void;
};

export const MONTH = [
  'January',
  'February',
  'March',
  'April',
  'May',
  'June',
  'July',
  'August',
  'September',
  'October',
  'November',
  'December',
];

const styles = StyleSheet.create({
  header: {
    flexDirection: 'row',
    justifyContent: 'space-around',
  },
  year: {
    marginLeft: 8,
  },
});

const CalendarHeader = ({ date, handleOpenMonth, handleOpenYear }: Props) => {
  const year = `${date.getFullYear()}`;

  const monthIndex = date.getMonth();
  const month = MONTH[monthIndex];

  return (
    <View style={styles.header}>
      <TouchableOpacity testID="handleOpenMonth" onPress={handleOpenMonth}>
        <Text>{month}</Text>
      </TouchableOpacity>
      <TouchableOpacity
        testID="handleOpenYear"
        style={styles.year}
        onPress={handleOpenYear}
      >
        <Text testID="yearText">{year}</Text>
      </TouchableOpacity>
    </View>
  );
};

export default CalendarHeader;
