/* eslint-env browser */
import { useEffect } from 'react';

type UseClickOutsideWebParamsType = {
  handleClick: (event: Event) => void;
};

export const useClickOutsideWeb = ({
  handleClick,
}: UseClickOutsideWebParamsType) => {
  useEffect(() => {
    if (typeof Window !== 'undefined') {
      document.addEventListener('mousedown', handleClick);
    }
    return () => {
      if (typeof Window !== 'undefined') {
        document.removeEventListener('mousedown', handleClick);
      }
    };
  }, []);
};
