import {isValidDate} from '../UikitUtils/helpers';

export const getDateString = (timestamp: string | number | Date) => {
  if (isValidDate(`${timestamp}`)) {
    const date = new Date(timestamp).getDate();
    const month = new Date(timestamp).getMonth() + 1;
    const year = new Date(timestamp).getFullYear();
    const formattedMonth = month < 10 ? `0${month}` : month;
    const formattedDate = date < 10 ? `0${date}` : date;

    return `${year}-${formattedMonth}-${formattedDate}`;
  }
  return '';
};

export const currentYear = new Date().getFullYear();
export const currentMonth = new Date().getMonth();
export const dateString = getDateString(new Date());
export const currentDay = new Date().getDay();

export type keyValueType = {label: string; value: number};

export const MONTH_LIST: keyValueType[] = [
  {label: 'January', value: 1},
  {label: 'February', value: 2},
  {label: 'March', value: 3},
  {label: 'April', value: 4},
  {label: 'May', value: 5},
  {label: 'June', value: 6},
  {label: 'July', value: 7},
  {label: 'August', value: 8},
  {label: 'September', value: 9},
  {label: 'October', value: 10},
  {label: 'November', value: 11},
  {label: 'December', value: 12},
];
export const yearOptions = (startYear?: number) => {
  const years: keyValueType[] = [];
  const initialYear = startYear || 2000;
  for (let i = initialYear; i <= currentYear; i += 1) {
    years.unshift({label: `${i}`, value: i});
  }
  return years;
};
