import React, {useState} from 'react';
import {ComponentMeta, ComponentStory} from '@storybook/react-native';
import StoriesComponent from './CalendarNative';
import Flex from '../Flex/Flex';
import Button from '../Button/Button';

export const Basic = () => {
  const [isOpen, setOpen] = useState(false);
  return (
    <Flex flex={1} center middle>
      <Button onClick={() => setOpen(true)}>Open date picker</Button>
      <StoriesComponent
        open={isOpen}
        onClose={() => {
          setOpen(false);
          console.log('Cancel Called');
        }}
        onConfirm={v => console.log(`Selected Date: ${v}`)}
        primaryButtonName="Confirm"
        secondarButtonName="Cancel"
      />
    </Flex>
  );
};

export default {
  title: 'Components/CalendarPicker',
  component: StoriesComponent,
} as ComponentMeta<typeof StoriesComponent>;

const Template: ComponentStory<typeof StoriesComponent> = args => (
  <StoriesComponent {...args} />
);

export const Playground: any = Template.bind({});

Playground.args = {
  open: true,
};
