import React from 'react';
import {Text, ScrollView, StyleSheet} from 'react-native';
import {action} from '@storybook/addon-actions';
import Card from './Card';
import Flex from '../Flex/Flex';
import {CardComponent} from '../UikitUtils/storiesHelper';
import {ComponentStory} from '@storybook/react';

const styles = StyleSheet.create({
  box: {
    height: 100,
    width: 100,
  },
  flexStyle: {
    paddingHorizontal: '20%',
    paddingTop: 30,
  },
});

const Container = ({title}: any) => (
  <Flex center middle overrideStyle={styles.box}>
    <Text>{title}</Text>
  </Flex>
);

export const Basic = () => {
  return (
    <ScrollView>
      <Flex overrideStyle={styles.flexStyle}>
        <CardComponent label="primary">
          <Card onClick={action('clicked-primary')}>
            <Container title="primary" />
          </Card>
        </CardComponent>
        <CardComponent label="noDrop">
          <Card noDrop onClick={action('clicked-noDrop')}>
            <Container title="noDrop" />
          </Card>
        </CardComponent>
        <CardComponent label="error">
          <Card type="error" onClick={action('clicked-error')}>
            <Container title="error" />
          </Card>
        </CardComponent>
        <CardComponent label="success">
          <Card type="success" onClick={action('clicked-success')}>
            <Container title="success" />
          </Card>
        </CardComponent>

        <CardComponent label="info">
          <Card type="info" onClick={action('clicked-info')}>
            <Container title="info" />
          </Card>
        </CardComponent>
      </Flex>
    </ScrollView>
  );
};

const Template: ComponentStory<typeof Card> = args => (
  <Card {...args}>
    <Container title="success" />
  </Card>
);

export const Playground = Template.bind({});

export default {
  title: 'Components/Card',
  component: Card,
};
