import React, {memo} from 'react';
import {StyleSheet} from 'react-native';
import Text, {textColors} from '../Text/Text';

type Props = {
  labelSize?: number;
  labelColor?: textColors;
  label: import('react').ReactNode;
};

const CheckboxLabel = ({labelSize, labelColor, label}: Props) => {
  const styles = StyleSheet.create({
    text: {
      marginLeft: 8,
      maxWidth: '91%',
      overflow: 'hidden',
      fontSize: labelSize,
    },
  });
  if (!label) {
    return null;
  }
  return (
    <Text
      ellipsizeMode="tail"
      color={labelColor}
      overrideStyle={styles.text}
    >
      {label}
    </Text>
  );
};

export default memo(
  CheckboxLabel,
  (prevProps: Props, nextProps: Props) => prevProps.label === nextProps.label,
);
