import React from 'react';
import Text from '../Text/Text';

type Props = {
  name: string;
  errors: {[key: string]: string | undefined};
  touched: {[key: string]: boolean | undefined};
  textSize?: number;
};

const ErrorMessage = ({name, errors, touched, textSize}: Props) => {
  if (errors && typeof errors[name] === 'string' && touched[name]) {
    return (
      <Text
        overrideStyle={{fontSize: textSize}}
        color="error"
        testID="errorMessage"
      >
        {errors[name]}
      </Text>
    );
  }
  return null;
};

ErrorMessage.defaultProps = {
  textSize: 14,
};

export default ErrorMessage;
