import React from 'react';
import {StyleSheet} from 'react-native';
import {Dimensions} from 'react-native';
import {ComponentStory, ComponentMeta} from '@storybook/react';
import Flex from '../Flex/Flex';
import StoriesComponent from './Image';

const styles = StyleSheet.create({
  overAll: {
    height: Dimensions.get('screen').height * 0.4,
  },
});

export default {
  title: 'Components/Image',
  component: StoriesComponent,
} as ComponentMeta<typeof StoriesComponent>;

const Template: ComponentStory<typeof StoriesComponent> = args => (
  <Flex center middle overrideStyle={styles.overAll}>
    <StoriesComponent {...args} />
  </Flex>
);

export const Playground = Template.bind({});

Playground.args = {
  src:
    'https://res.cloudinary.com/practicaldev/image/fetch/s--_HBZhuhF--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/nweeqf97l2md3tlqkjyt.jpg',
  width: 100,
  height: 100,
};

export const Basic = () => {
  return (
    <Flex center middle overrideStyle={styles.overAll}>
      <StoriesComponent
        previewMode
        src="https://res.cloudinary.com/practicaldev/image/fetch/s--_HBZhuhF--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/nweeqf97l2md3tlqkjyt.jpg"
        resizeMode="center"
        width={200}
        height={200}
      />
    </Flex>
  );
};
