import React from 'react';
import {ComponentStory, ComponentMeta} from '@storybook/react';
import StoriesComponent from './InputOtpText';

const Template: ComponentStory<typeof StoriesComponent> = args => (
  <StoriesComponent {...args} />
);

export const Playground = Template.bind({});

Playground.args = {
  pinCount: 4,
  autoFocusOnLoad: true,
  onCodeFilled: code => {
    console.log(`Code is ${code}, you are good to go!`);
  },
  onCodeChanged: code => {
    console.log(`Code is ${code}, you are good to go!`);
  },
  secureTextEntry: false,
  editable: true,
  keyboardType: 'default',
  placeholderCharacter: '0',
  placeholderTextColor: 'red',
  style: {},
  selectionColor: 'blue',
  clearInputs: false,
  keyboardAppearance: 'default',
  type: 'curved',
};

export const Basic = () => {
  return (
    <StoriesComponent
      pinCount={4}
      autoFocusOnLoad
      onCodeFilled={code => {
        console.log(`Code is ${code}, you are good to go!`);
      }}
    />
  );
};

export default {
  title: 'Components/InputOtpText',
  component: StoriesComponent,
} as ComponentMeta<typeof StoriesComponent>;
