import {ViewStyle, I18nManager, StyleSheet} from 'react-native';

interface Styles {
  renderViewStyle: ViewStyle;
  common: ViewStyle;
  normalCommon: ViewStyle;
}

export const styles = StyleSheet.create<Styles>({
  common: {
    fontFamily: 'lato',
    paddingHorizontal: 8,
    paddingVertical: 12,
    borderWidth: 1,
    borderRadius: 4,
    textAlign:'center',
    width:'100%'
  },
  renderViewStyle: {
    flexDirection: I18nManager.isRTL ? 'row-reverse' : 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  normalCommon: {
    fontFamily: 'lato',
    paddingHorizontal: 2,
    paddingVertical: 12,
    borderBottomWidth: 1,
    textAlign:'center'
  },
});
