import React, {useState} from 'react';
import {StyleSheet} from 'react-native';
import {Dimensions} from 'react-native';
import {ComponentStory, ComponentMeta} from '@storybook/react';
import Flex from '../Flex/Flex';
import StoriesComponent from './InputRadio';

const styles = StyleSheet.create({
  overAll: {
    height: Dimensions.get('screen').height * 0.4,
  },
});

export default {
  title: 'Components/InputRadio',
  component: StoriesComponent,
} as ComponentMeta<typeof StoriesComponent>;

const Template: ComponentStory<typeof StoriesComponent> = args => (
  <Flex center middle overrideStyle={styles.overAll}>
    <StoriesComponent {...args} />
  </Flex>
);

export const Playground = Template.bind({});

Playground.args = {
  label: 'AB',
  onClick: () => {
    console.log('InputRadio Click');
  },
};

export const Basic = () => {
  const [isChecked, setChecked] = useState(false);
  const hanldeSelect = () => {
    setChecked(!isChecked);
  };
  return (
    <Flex center middle overrideStyle={styles.overAll}>
      <StoriesComponent checked={isChecked} onClick={hanldeSelect} label="AB" />
    </Flex>
  );
};
