import {TextStyle, ViewStyle, StyleSheet} from 'react-native';
import {
  BORDER_COLOR,
  GRAY_95,
  SEMANTIC_RED_PRIMARY,
  WHITE,
} from '../UikitUtils/colors';

export type InputTextStyles = {
  curved: ViewStyle;
  normal: ViewStyle;
  common: ViewStyle;
  rounded: TextStyle;
  enableClose: ViewStyle;
  relativestyle: ViewStyle;
  noBorder: ViewStyle;
  error: ViewStyle;
  bold: ViewStyle;
  action: ViewStyle;
  containerActionStyle: ViewStyle;
  inputAction: ViewStyle;
  actionLeft: ViewStyle;
  textAlignVertical: ViewStyle;
  leftAction: ViewStyle;
  rightAction: ViewStyle;
  disabled: ViewStyle;
  normalCommon: ViewStyle;
  white: ViewStyle;
  errorView: ViewStyle;
};

export const styles = StyleSheet.create<InputTextStyles>({
  relativestyle: {
    position: 'relative',
  },
  common: {
    fontFamily: 'lato',
    paddingHorizontal: 20,
    width: '100%',
    paddingVertical: 12,
  },
  normalCommon: {
    fontFamily: 'lato',
    paddingHorizontal: 2,
    width: '100%',
    paddingVertical: 12,
  },
  curved: {
    borderWidth: 1,
    borderColor: BORDER_COLOR,
    borderRadius: 4,
  },
  normal: {
    borderBottomWidth: 1,
    borderColor: BORDER_COLOR,
    paddingHorizontal: 2,
  },
  rounded: {
    borderWidth: 1,
    borderColor: BORDER_COLOR,
    borderRadius: 40,
  },
  enableClose: {
    position: 'absolute',
    marginTop: 1,
    right: 8,
  },
  noBorder: {
    borderColor: 'transparent',
  },
  error: {
    borderColor: SEMANTIC_RED_PRIMARY,
  },
  bold: {
    fontFamily: 'lato-bold',
  },
  action: {
    right: 8,
    justifyContent: 'center',
  },
  containerActionStyle: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
  },
  inputAction: {
    flex: 1,
  },
  actionLeft: {
    left: 8,
  },
  textAlignVertical: {
    textAlignVertical: 'top',
  },
  leftAction: {
    alignSelf: 'center',
    justifyContent: 'center',
    paddingLeft: 8,
  },
  rightAction: {
    alignSelf: 'center',
    justifyContent: 'center',
  },
  disabled: {
    backgroundColor: GRAY_95,
    borderStyle: 'dashed',
  },
  white: {
    backgroundColor: WHITE,
  },
  errorView: {
    marginTop: 3,
  },
});
