import React, {memo} from 'react';
import {View, StyleSheet} from 'react-native';
import SvgDownAngle from '../icons/SvgDownAngle';
import {isEmpty} from '../UikitUtils/validators';

type Props = {
  spining: boolean;
  iconColor?: string;
  children?: any;
  result: string;
};

const styles = StyleSheet.create({
  childrenContainer: {
    flexDirection: 'row',
    alignItems: 'center',
  },
});

const DropDownButton = ({iconColor, spining, children, result}: Props) => {
  const rotate = {transform: [{rotate: spining ? '180deg' : '0deg'}]};
  const opacity = isEmpty(result) ? {opacity: 0.4} : {opacity: 1};
  return (
    <View style={styles.childrenContainer}>
      <>{children}</>
      <SvgDownAngle fill={iconColor} style={[rotate, opacity]} />
    </View>
  );
};

export default memo(DropDownButton);
