import {ComponentStory} from '@storybook/react';
import React from 'react';
import StoriesComponent from './SnackBar';

export const Basic = (
  args: JSX.IntrinsicAttributes & {
    message: string;
    type?: 'error' | 'info' | 'success' | 'warning' | undefined;
    onClear?: Function | undefined;
  },
) => {
  return <StoriesComponent {...args} />;
};

Basic.args = {
  message: 'SnackBar',
  type: ['error', 'info', 'success', 'warning'],
};

const Template: ComponentStory<typeof StoriesComponent> = args => (
  <StoriesComponent {...args} />
);

export const Playground = Template.bind({});

Playground.args = {
  message: 'SnackBar',
};

export default {
  title: 'Components/SnackBar',
  component: StoriesComponent,
};
