import {ComponentStory} from '@storybook/react';
import React from 'react';
import {ViewStyle, TextStyle} from 'react-native';
import StoriesComponent from './Status';
import {statusColor} from './statusStyle';

export const Basic = (
  args: JSX.IntrinsicAttributes & {
    color?: statusColor | undefined;
    label: string;
    overrideStyle?: ViewStyle | TextStyle | undefined;
  },
) => {
  return <StoriesComponent {...args} />;
};

Basic.args = {
  label: 'Status',
  color: ['error', 'success', 'gray', 'black'],
  overrideStyle: {},
};

const Template: ComponentStory<typeof StoriesComponent> = args => (
  <StoriesComponent {...args} />
);

export const Playground = Template.bind({});

Playground.args = {
  label: 'Status',
};

export default {
  title: 'Components/Status',
  component: StoriesComponent,
};
