import React, {memo} from 'react';
import {StyleSheet, TextStyle, ViewStyle} from 'react-native';
import Text from '../Text/Text';
// import ThemeContext from '../ThemeContext/ThemeContext';
import {statusHelper} from './statusHelper';
import {statusColor, statusStyleGenerator} from './statusStyle';

type Props = {
  color?: statusColor;
  label: string;
  overrideStyle?: ViewStyle | TextStyle;
};

const Status = (props: Props) => {
  // const {theme} = useContext(ThemeContext);
  const {color, label, overrideStyle} = props;
  const statusStyles = statusStyleGenerator();
  const initialArray: TextStyle[] = [statusStyles.labelText];

  const styles = statusHelper(statusStyles, color);
  const styleArray = [...initialArray, ...styles];
  return (
    <Text
      testID="status"
      align="center"
      size={14}
      color={color}
      overrideStyle={StyleSheet.flatten([styleArray, overrideStyle])}
    >
      {label}
    </Text>
  );
};
export default memo(Status);
