import {StyleSheet} from 'react-native';
import type {ViewStyle} from 'react-native';
import {
  GRAY_50,
  WHITE,
  BLACK,
  SEMANTIC_RED_PRIMARY,
  SEMANTIC_SUCCESS_GREEN_PRIMARY,
} from '../UikitUtils/colors';

export type StatusStyleType = {
  labelText: ViewStyle;
  black: ViewStyle;
  gray: ViewStyle;
  success: ViewStyle;
  error: ViewStyle;
  normal: ViewStyle;
};
export const statusStyleGenerator = () =>
  StyleSheet.create<StatusStyleType>({
    labelText: {
      paddingHorizontal: 8,
      paddingTop: 2,
      borderWidth: 1,
      borderRadius: 4,
      backgroundColor: WHITE,
      // width: 'fit-content',
      paddingBottom: 3,
    },
    black: {
      borderColor: BLACK,
    },
    gray: {
      borderColor: GRAY_50,
    },
    success: {
      borderColor: SEMANTIC_SUCCESS_GREEN_PRIMARY,
    },
    error: {
      borderColor: SEMANTIC_RED_PRIMARY,
    },
    normal: {
      borderColor: BLACK,
    },
  });

// Status Types
export type statusColor = 'black' | 'gray' | 'success' | 'error';
