import React from 'react';
import {ScrollView, StyleSheet, Dimensions, View} from 'react-native';
import Flex from '../Flex/Flex';
import StoriesComponent from './Text';
import {TextComponent} from '../UikitUtils/storiesHelper';

const {height} = Dimensions.get('screen');

const styles = StyleSheet.create({
  textStyle: {
    height,
  },
  flexStyle: {
    paddingTop: 30,
    paddingBottom: 5,
  },
});

export default {
  title: 'Components/Text',
  component: StoriesComponent,
};

const Template = (args: any) => (
  <StoriesComponent {...args}>
    Text with dynamic size attribute
  </StoriesComponent>
);

export const Playground: any = Template.bind({});

export const Basic = () => {
  return (
    <ScrollView style={styles.textStyle}>
      <Flex overrideStyle={styles.flexStyle}>
        <TextComponent label="black">
          <StoriesComponent color="black">
            text with color black
          </StoriesComponent>
        </TextComponent>

        <TextComponent label="error">
          <StoriesComponent color="error">
            text with color error
          </StoriesComponent>
        </TextComponent>

        <TextComponent label="gray">
          <StoriesComponent color="gray">text with color gray</StoriesComponent>
        </TextComponent>
        <TextComponent label="info">
          <StoriesComponent color="info">text with color info</StoriesComponent>
        </TextComponent>
        <TextComponent label="link">
          <StoriesComponent color="link">text with color link</StoriesComponent>
        </TextComponent>
        <TextComponent label="primary">
          <StoriesComponent color="primary">
            text with color primary
          </StoriesComponent>
        </TextComponent>
        <TextComponent label="success">
          <StoriesComponent color="success">
            text with color success
          </StoriesComponent>
        </TextComponent>
        <TextComponent label="theme">
          <StoriesComponent color="theme">
            text with color theme
          </StoriesComponent>
        </TextComponent>
        <TextComponent label="warning">
          <StoriesComponent color="warning">
            text with color warning
          </StoriesComponent>
        </TextComponent>
        <TextComponent label="white">
          <View style={{backgroundColor: 'red'}}>
            <StoriesComponent color="white">
              text with color white
            </StoriesComponent>
          </View>
        </TextComponent>
      </Flex>
    </ScrollView>
  );
};
