import {StyleSheet, TextStyle} from 'react-native';


export type Styles = {
  bold: TextStyle;
  italic: TextStyle;
  underline: TextStyle;
  center: TextStyle;
  justify: TextStyle;
  right: TextStyle;
  left: TextStyle;
  capitalize: TextStyle;
  uppercase: TextStyle;
  lowercase: TextStyle;
  common: TextStyle;
};

export const styles = StyleSheet.create<Styles>({
  bold: {
    fontWeight: '500',
    fontFamily: 'lato-bold',
  },
  italic: {
    fontFamily: 'lato-italic',
  },
  underline: {
    textDecorationLine: 'underline',
  },
  left: {
    textAlign: 'left',
  },
  right: {
    textAlign: 'right',
  },
  justify: {
    textAlign: 'justify',
  },
  center: {
    textAlign: 'center',
  },
  capitalize: {
    textTransform: 'capitalize',
  },
  uppercase: {
    textTransform: 'uppercase',
  },
  lowercase: {
    textTransform: 'lowercase',
  },
  common: {
    fontFamily: 'lato',
  },
});
