import React from 'react';
import {StyleSheet} from 'react-native';
import Flex from '../Flex/Flex';
import Button from '../Button/Button';
import Text from '../Text/Text';
import {STORIES_PREFIX} from '../UikitUtils/constants';
import Toast from './Toast';

const styles = StyleSheet.create({
  box: {
    margin: 20,
  },
});

export const StyleGuide = () => {
  const onCLickSuccessToast = () => {
    Toast.success({
      message: 'Single line Success  Toast',
      position: 'CENTER',
    });
  };
  const onCLickNeutralToast = () => {
    Toast.info({message: 'Single line Neutral Toast', position: 'TOP'});
  };
  const onCLickWarningToast = () => {
    Toast.warning({message: 'Single line Warning Toast', position: 'BOTTOM'});
  };
  const onCLickErrorToast = () => {
    Toast.danger({message: 'Single line Error Toast ', position: 'CENTER'});
  };

  return (
    <Flex>
      <Flex column>
        <Text overrideStyle={styles.box}> Warning Toast (Default)</Text>
        <Button type="secondary" onClick={onCLickWarningToast}>
          Click For Warning Toast
        </Button>
      </Flex>
      <Flex column>
        <Text overrideStyle={styles.box}>Success Toast (Position: center)</Text>
        <Button type="success" onClick={onCLickSuccessToast}>
          Click For Success Toast
        </Button>
      </Flex>
      <Flex column>
        <Text overrideStyle={styles.box}> Neutral Toast (Position: left)</Text>
        <Button onClick={onCLickNeutralToast}>Click For Neutral Toast</Button>
      </Flex>
      <Flex column>
        <Text overrideStyle={styles.box}> Error Toast (Duration: long)</Text>
        <Button type="tertiary" onClick={onCLickErrorToast}>
          Click For Error Toast
        </Button>
      </Flex>
    </Flex>
  );
};

export default {
  title: `${STORIES_PREFIX.components}/Toast`,
  component: Toast,
};
