import {DeviceEventEmitter} from 'react-native';
import {SHOW_TOAST_MESSAGE} from '../UikitUtils/constants';

export type DurationTypes = 'SHORT' | 'LONG';
export type PositionTypes = 'TOP' | 'BOTTOM' | 'CENTER';

type Props = {
  message: string;
  duration?: DurationTypes;
  position?: PositionTypes;
};

const Toast = {
  info: (options: Props) => {
    DeviceEventEmitter.emit(SHOW_TOAST_MESSAGE, {
      ...options,
      type: 'info',
    });
  },
  success: (options: Props) => {
    DeviceEventEmitter.emit(SHOW_TOAST_MESSAGE, {
      ...options,
      type: 'success',
    });
  },
  danger: (options: Props) => {
    DeviceEventEmitter.emit(SHOW_TOAST_MESSAGE, {
      ...options,
      type: 'danger',
    });
  },
  warning: (options: Props) => {
    DeviceEventEmitter.emit(SHOW_TOAST_MESSAGE, {
      ...options,
      type: 'warning',
    });
  },
};

export default Toast;
