import React from 'react';
import {View, Text, StyleSheet} from 'react-native';

const package_info = require('../../packages/package.json');

const styles = StyleSheet.create({
  wrapper: {
    flex: 1,
    padding: 24,
    justifyContent: 'center',
  },
  header: {
    fontSize: 18,
  },
  content: {
    fontSize: 12,
    marginBottom: 16,
  },
  author: {
    textAlign: 'right',
  },
  version: {
    marginBottom: 16,
  },
});
export const Basic = () => {
  return (
    <View style={styles.wrapper}>
      <Text style={styles.header}>Welcome to React Native Storybook</Text>
      <Text style={styles.version}>
        Version:
        {package_info.version}
      </Text>
      <Text style={styles.content}>
        {`This is a UI Component development environment 
        for your React Native app. Here you can display and interact with your UI 
        components as stories. A story is a single state of one or more UI components. 
        You can have as many stories as you want. In other words a story is 
        like a visual test case.`}
      </Text>
      <Text style={styles.content}>
        We have added some stories inside the widgets/UI directory for examples.
        Try editing the widgets/UI/storyUtils/Welcome.js file to edit this
        message.
      </Text>
      <Text style={styles.author}>~ Arulraj</Text>
    </View>
  );
};

export default {
  title: 'Welcome/Intro',
  component: Basic,
};
