import React from 'react';
import {StyleSheet, View} from 'react-native';
import Flex from '../Flex/Flex';
import Text from '../Text/Text';
import {BLACK} from './colors';
// import { removeUnderScores } from './helpers';

const styles = StyleSheet.create({
  label: {
    paddingVertical: 16,
  },
  colorBox: {
    height: 70,
    width: 70,
    borderRadius: 4,
    borderColor: BLACK,
    borderWidth: 1,
  },
  colorLabel: {
    paddingLeft: 16,
    width: 250,
  },
  colorContainer: {
    padding: 24,
  },
  overAll: {
    paddingHorizontal: '10%',
  },
});

type Props = {
  label: string;
  children: any;
};
export const ButtonComponent = ({label, children}: Props) => (
  <View testID="ButtonComponent" style={styles.overAll}>
    <Text
      testID="buttonText"
      transform="capitalize"
      size={16}
      bold
      color="info"
      overrideStyle={styles.label}
    >
      {label}:
    </Text>
    {children}
  </View>
);

// export const ColorComponent = ({ lable, color, colorCodeLabel }) => (
//   <Flex row overrideStyle={styles.colorContainer}>
//     <View
//       testID="ColorComponent"
//       style={[styles.colorBox, { backgroundColor: color }]}
//     />
//     <Flex between overrideStyle={styles.colorLabel}>
//       <Text color="black" transform="capitalize">
//         {removeUnderScores(lable)}
// :
// </Text>
//       <Text color="gray" italic>
//         {colorCodeLabel}
//       </Text>
//     </Flex>
//   </Flex>
// );

export const TextComponent = ({label, children}: Props) => (
  <View style={styles.overAll} testID="TextComponent">
    <Text
      testID="text"
      transform="capitalize"
      color="info"
      bold
      size={20}
      overrideStyle={styles.label}
    >
      {label}:
    </Text>
    {children}
  </View>
);

export const InputTextComponent = ({label, children}: Props) => (
  <Flex>
    <Text
      color="theme"
      size={16}
      bold
      transform="capitalize"
      overrideStyle={styles.label}
    >
      {label}:
    </Text>
    {children}
  </Flex>
);

export const CardComponent = ({label, children}:Props) => (
  <Flex>
    <Text
      color="info"
      size={16}
      bold
      transform="capitalize"
      overrideStyle={styles.label}
    >
      {label}:
    </Text>
    {children}
  </Flex>
);

// export const StatusComponent = ({ label, children }) => (
//   <Flex>
//     <Text
//       size={20}
//       color="info"
//       bold
//       transform="capitalize"
//       overrideStyle={styles.label}
//     >
//       {label}
// :
// </Text>
//     {children}
//   </Flex>
// );
