import React from 'react';
import Svg, { Path } from 'react-native-svg';

const defaultProps = {
  width: 24,
  height: 24,
  fill: '#1A1A1A',
};

const SvgChevronRight = ({ width, height, fill }: typeof defaultProps) => (
  <Svg width={width} height={height} testID="SvgRightIcon">
    <Path
      d="M9.293 8.707 12.586 12l-3.293 3.293a.999.999 0 1 0 1.414 1.414l4-4a.997.997 0 0 0 0-1.414l-4-4a.999.999 0 1 0-1.414 1.414"
      fill={fill}
      fillRule="evenodd"
    />
  </Svg>
);

SvgChevronRight.defaultProps = defaultProps;
export default SvgChevronRight;
