import React from 'react';
import Svg, { Path } from 'react-native-svg';

const defaultProps = {
  width: 14,
  height: 14,
  fill: '#066ECF',
};

const SvgCirclePlus = ({ height, width, fill }: typeof defaultProps) => {
  return (
    <Svg width={width} height={height}>
      <Path
        d="M7 0a7 7 0 1 1 0 14A7 7 0 0 1 7 0zm0 1.167A5.84 5.84 0 0 0 1.167 7 5.84 5.84 0 0 0 7 12.833 5.84 5.84 0 0 0 12.833 7 5.84 5.84 0 0 0 7 1.167zM7 3.5c.323 0 .583.261.583.583v2.334h2.334a.583.583 0 1 1 0 1.166H7.583v2.334a.583.583 0 1 1-1.166 0V7.583H4.083a.583.583 0 1 1 0-1.166h2.334V4.083c0-.322.26-.583.583-.583z" // eslint-disable-line
        fill={fill}
        fillRule="evenodd"
      />
    </Svg>
  );
};

SvgCirclePlus.defaultProps = defaultProps;
export default SvgCirclePlus;
