/* eslint max-len: ["error", { "code": 400 }] */
import React from 'react';
import Svg, { Path } from 'react-native-svg';

const defaultProps = {
  fill: '#ffffff',
  width: 24,
  height: 24,
  viewBox: '0 0 24 24',
};
const SvgClose = ({ fill, width, height, viewBox }: typeof defaultProps) => (
  <Svg width={width} height={height} viewBox={viewBox}>
    <Path
      d="M5 5l14 14m0-14L5 19"
      stroke={fill}
      strokeWidth={2}
      fill="none"
      fillRule="evenodd"
      strokeLinecap="round"
      strokeLinejoin="round"
    />
  </Svg>
);

SvgClose.defaultProps = defaultProps;

export default SvgClose;
