/* eslint max-len: ["error", { "code": 400 }] */
import React, { memo } from 'react';
import type { StyleProp, ViewStyle } from 'react-native';
import Svg, { Path } from 'react-native-svg';

const defaultProps = {
  fill: '#424242',
  width: 24,
  height: 24,
};
type Props = {
  style?: StyleProp<ViewStyle>;
} & typeof defaultProps;
const SvgDownAngle = ({ fill, width, height, style }: Props) => (
  <Svg width={width} height={height} style={style} testID="SvgDownAngle">
    <Path
      d="M8 10l4 4 4-4"
      stroke={fill}
      strokeWidth={2}
      fill="none"
      fillRule="evenodd"
      strokeLinecap="round"
      strokeLinejoin="round"
    />
  </Svg>
);

SvgDownAngle.defaultProps = defaultProps;

export default memo(SvgDownAngle);
