/* eslint max-len: ["error", { "code": 3000 }] */
import React from 'react';
import Svg, {Path} from 'react-native-svg';

const defaultProps = {
  width: 24,
  height: 24,
  fill: '#000000',
};

const SvgDownMenu = ({width, height, fill}: typeof defaultProps) => (
  <Svg
    width={width}
    height={height}
    viewBox="0 0 24 24"
    fill="none"
    >
    <Path
      fill={fill}
      d="M21 3H3a1 1 0 1 0 0 2h18a1 1 0 1 0 0-2M3 13h12a1 1 0 1 0 0-2H3a1 1 0 1 0 0 2m18 6H3a1 1 0 1 0 0 2h18a1 1 0 1 0 0-2"
      fillRule="evenodd"
    />
  </Svg>
);

SvgDownMenu.defaultProps = defaultProps;

export default SvgDownMenu;
