/* eslint max-len: ["error", { "code": 400 }] */
import React from 'react';
import Svg, {Circle, G} from 'react-native-svg';

const defaultProps = {
  fill: '#1890FF',
  width: 20,
  height: 20,
};
const SvgRadioWithLine = ({fill, width, height}: typeof defaultProps) => (
  <Svg
    testID="svgRadioWithLineId"
    viewBox="0 0 20 20"
    width={width}
    height={height}
  >
    <G fill="none" fillRule="evenodd">
      <Circle stroke={fill} fill="#FFF" cx={10} cy={10} r={9.5} />
      <Circle fill={fill} cx={10} cy={10} r={5} />
    </G>
  </Svg>
);

SvgRadioWithLine.defaultProps = defaultProps;

export default SvgRadioWithLine;
