/* eslint max-len: ["error", { "code": 400 }] */
import React from 'react';
import Svg, { Path } from 'react-native-svg';

const defaultProps = {
  fill: '#DFDFDF',
  width: 24,
  height: 24,
};
const SvgSearch = ({ fill, width, height }: typeof defaultProps) => (
  <Svg testID="SvgSearch" width={width} height={height}>
    <Path
      d="M17 11c0 1.82-.81 3.45-2.09 4.55A6 6 0 1117 11zm-1 5l3 3"
      stroke={fill}
      strokeWidth={2}
      fill="none"
      fillRule="evenodd"
      strokeLinecap="round"
      strokeLinejoin="round"
    />
  </Svg>
);

SvgSearch.defaultProps = defaultProps;

export default SvgSearch;
