/* eslint max-len: ["error", { "code": 400 }] */
import * as React from 'react';
import Svg, { Defs, Circle, G, Rect, Use } from 'react-native-svg';

const defaultProps = {
  fill: '#979797',
  width: 30,
  height: 18,
  scale: 2,
};
const SvgSwitchOff = ({ fill, width, height, scale }: typeof defaultProps) => (
  <Svg
    width={30 * scale}
    height={18 * scale}
    viewBox="0 0 30 18"
    testID="SvgSwitchOff"
  >
    <Defs>
      <Circle id="switch-off_svg__b" cx={9} cy={9} r={7} />
    </Defs>
    <G fill="none" fillRule="evenodd">
      <Rect width={width} height={height} fill={fill} opacity={0.5} rx={9} />
      <Use fill="#FFF" xlinkHref="#switch-off_svg__b" />
      <Use fill="#FFF" xlinkHref="#switch-off_svg__b" />
    </G>
  </Svg>
);

SvgSwitchOff.defaultProps = defaultProps;
export default SvgSwitchOff;
