/* eslint max-len: ["error", { "code": 400 }] */
import * as React from 'react';
import Svg, { Defs, Circle, G, Rect, Use } from 'react-native-svg';

const defaultProps = {
  fill: '#1A1A1A',
  width: 30,
  height: 18,
  scale: 2,
};
const SvgSwitchOn = ({ fill, width, height, scale }: typeof defaultProps) => (
  <Svg
    testID="svgSwitchOnId"
    width={30 * scale}
    height={18 * scale}
    viewBox="0 0 30 18"
  >
    <Defs>
      <Circle id="switch-on_svg__b" cx={21} cy={9} r={7} />
    </Defs>
    <G fill="none" fillRule="evenodd">
      <Rect width={width} height={height} fill={fill} rx={9} />
      <Use fill="#FFF" xlinkHref="#switch-on_svg__b" />
      <Use fill="#FFF" xlinkHref="#switch-on_svg__b" />
    </G>
  </Svg>
);

SvgSwitchOn.defaultProps = defaultProps;
export default SvgSwitchOn;
